# $Revision: 1.6 $, $Date: 2010/06/03 13:47:48 $
%define		php_min_version 5.2
%include	/usr/lib/rpm/macros.php
Summary:	Tools to extend library services to Facebook users through Facebook applications
Name:		php-facebook-athenaeum
Version:	0.1.9
Release:	1
License:	Apache v2.0
Group:		Development/Languages/PHP
Source0:	http://facebook-athenaeum.googlecode.com/files/fb-athenaeum-%{version}.tar.gz
# Source0-md5:	da60b59976454a6103021e0ca4d5bef8
URL:		http://code.google.com/p/facebook-athenaeum/
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.461
Requires:	php-common >= 4:%{php_min_version}
Patch0:		json-dep.patch
#Requires:	php-date
Requires:	php-json
Requires:	php-pcre
Requires:	php-simplexml
Suggests:	php-curl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# bad depsolver
%define		_noautopear	pear(facebookapi_php5_restlib.php)

# exclude optional php dependencies
%define		_noautophp	php-curl

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
Facebook Athenaeum provides libraries an easy to implement Facebook
application to extend library resources to students in Facebook. The
application is easily customized for your institution and includes an
integrated RSS reader, search tools, and a friend locator that allows
Facebook users to record their location in the library so their
friends can find them.

%prep
%setup -q -n fb-athenaeum-%{version}
%patch0 -p1

# we depend on php 5.2
rm -rf libs/facebook_api/jsonwrapper

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a libs/facebook_api $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_data_dir}/facebook_api

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-facebook-athenaeum.spec,v $
Revision 1.6  2010/06/03 13:47:48  glen
- up to 0.1.9

Revision 1.5  2010/06/03 01:27:00  sparky
- BR: rpm-php-pearprov

Revision 1.4  2010/05/26 09:57:37  glen
- hash dep was bogus; rel 1

Revision 1.3  2009/12/21 13:36:09  glen
- curl is optional
- remove pear based JSON for older php, force php 5.2

Revision 1.2  2009/12/21 13:23:42  glen
- deps from php.req

Revision 1.1  2009/12/21 13:20:17  glen
- new
